public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexander Puck Neuwirth" <alexander@neuwirth-informatik.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: dev-python/boost-histogram/
Date: Tue, 22 Oct 2024 08:34:27 +0000 (UTC)	[thread overview]
Message-ID: <1729585930.e0b44a7587c8bd5ad22f1fac28aaf7fe5043fc95.alexander@gentoo> (raw)

commit:     e0b44a7587c8bd5ad22f1fac28aaf7fe5043fc95
Author:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> de>
AuthorDate: Sat Oct 19 09:23:15 2024 +0000
Commit:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> de>
CommitDate: Tue Oct 22 08:32:10 2024 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=e0b44a75

dev-python/boost-histogram: add 1.5.0

Signed-off-by: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik.de>

 .../boost-histogram/boost-histogram-1.5.0.ebuild   | 43 ++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/dev-python/boost-histogram/boost-histogram-1.5.0.ebuild b/dev-python/boost-histogram/boost-histogram-1.5.0.ebuild
new file mode 100644
index 000000000..7bee5b066
--- /dev/null
+++ b/dev-python/boost-histogram/boost-histogram-1.5.0.ebuild
@@ -0,0 +1,43 @@
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+DISTUTILS_USE_PEP517=scikit-build-core
+DISTUTILS_EXT=1
+inherit cmake distutils-r1 pypi
+
+DESCRIPTION="Python bindings for the C++14 Boost::Histogram library"
+HOMEPAGE="https://github.com/scikit-hep/boost-histogram"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-libs/boost:=[python,${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	>=dev-python/pybind11-2.13.3[${PYTHON_USEDEP}]
+	test? (
+		dev-python/cloudpickle[${PYTHON_USEDEP}]
+		dev-python/hypothesis[${PYTHON_USEDEP}]
+	)
+"
+
+src_prepare() {
+	default
+	sed -i 's/\["pytest-benchmark"\]/[]/g' pyproject.toml || die
+	# https://github.com/scikit-build/scikit-build-core/issues/912
+	sed -i -e '/scikit-build-core/s:0\.10:0.8:' pyproject.toml || die
+}
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+	tests/test_benchmark_1d.py
+	tests/test_benchmark_2d.py
+	tests/test_benchmark_category_axis.py
+	tests/test_pickle.py
+	tests/test_threaded_fill.py
+)


             reply	other threads:[~2024-10-22  8:34 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-22  8:34 Alexander Puck Neuwirth [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-27 15:02 [gentoo-commits] proj/sci:master commit in: dev-python/boost-histogram/ Alexander Puck Neuwirth
2024-03-17 15:59 Alexander Puck Neuwirth
2024-02-17 17:22 Alexander Puck Neuwirth

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1729585930.e0b44a7587c8bd5ad22f1fac28aaf7fe5043fc95.alexander@gentoo \
    --to=alexander@neuwirth-informatik.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox